Update tariff profile

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `TariffProfile` + `Update` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge></div> </Info> Patch the specified tariff profile. <Warning> The API doesn't provide feedback if you assign an incompatible tariff profile to a SIM. See [Tariff profile](/developers/reference/tariff-profile) for more information. </Warning> You can provide following fields with this request: * `name` (String optional) * `description` (String optional) * `tariff` (Object optional) If the tariff is changed, all selections of ratezones are removed.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

tariff_profile_iddoubleRequired
The numeric ID of a Tariff Profile

Request

This endpoint expects an object.
namestringRequired
descriptionstringRequired
tariffobjectRequired

Response

The server has successfully fulfilled the request and that there is no additional content to send in the response payload body

Errors

403
Forbidden Error